中危 IPython Notebook远程代码执行漏洞

CVE编号

CVE-2014-3429

利用情况

暂无

补丁情况

官方补丁

披露时间

2014-08-08
漏洞描述
IPython notebook目前已经成为用Python做教学、计算、科研的一个重要工具。

IPython Notebook存在远程代码执行漏洞,攻击者可以利用此漏洞在受影响的应用程序上下文中执行任意代码。
解决建议
用户可以联系供应商获得补丁信息:
http://ipython.org/notebook.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 ipython ipython_notebook 0.12 -
运行在以下环境
应用 ipython ipython_notebook 0.12.1 -
运行在以下环境
应用 ipython ipython_notebook 0.13 -
运行在以下环境
应用 ipython ipython_notebook 0.13.1 -
运行在以下环境
应用 ipython ipython_notebook 0.13.2 -
运行在以下环境
应用 ipython ipython_notebook 1.0.0 -
运行在以下环境
应用 ipython ipython_notebook 1.1.0 -
运行在以下环境
系统 debian DPKG * Up to
(excluding)
1.2.0~rc1-1
运行在以下环境
系统 debian_7 ipython * Up to
(excluding)
0.13.1-2+deb7u1
运行在以下环境
系统 fedora_EPEL_6 ipython * Up to
(excluding)
0.13.2-5.el6
运行在以下环境
系统 mageia mageia 3.0 -
运行在以下环境
系统 mageia mageia 4.0 -
运行在以下环境
系统 opensuse opensuse 13.1 -
运行在以下环境
系统 opensuse opensuse 13.2 -
运行在以下环境
系统 ubuntu_12.04_lts ipython * Up to
(excluding)
0.12.1+dfsg-0ubuntu1.1
运行在以下环境
系统 ubuntu_14.04_lts ipython * Up to
(excluding)
1.2.1-2
阿里云评分
4.4
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    服务器失陷
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-94 对生成代码的控制不恰当(代码注入)
阿里云安全产品覆盖情况